void GraySprite16_MASK(short x,short y,short h,
                   unsigned short* sprite1,
                   unsigned short* sprite2,
                   unsigned short* mask1,
                   unsigned short* mask2,
                   void* dest1,
                   void* dest2)
{
    register long           offset = (y<<5)-(y<<1)+((x>>3)&0x1e);
    register long           addr1  = (long)dest1+offset;
    register long           addr2  = (long)dest2+offset;
    register unsigned short cnt    = 16-(x&15);

    for (;h;h--,addr1+=30,addr2+=30) {
        *(long*)addr1&=~((long)~(*mask1++)<<cnt);
        *(long*)addr1|=(long)(*sprite1++)<<cnt;
        *(long*)addr2&=~((long)~(*mask2++)<<cnt);
        *(long*)addr2|=(long)(*sprite2++)<<cnt;
    }
}
