void GraySprite8_BLIT(short x,short y,short h,
                      unsigned char* sprite1,
                      unsigned char* sprite2,
                      unsigned char maskval,
                      void* dest1,
                      void* dest2)
{
    register long           offset = (y<<5)-(y<<1)+((x>>3)&0x1e);
    register long           addr1  = (long)dest1+offset;
    register long           addr2  = (long)dest2+offset;
    register unsigned short cnt      = 24-(x&15);
    register long           maskval2 = ~((long)(~(maskval)&0xff)<<cnt);
    for (;h;h--,addr1+=30,addr2+=30) {
        *(long*)addr1&=maskval2;
        *(long*)addr1|=(long)(*sprite1++)<<cnt;
        *(long*)addr2&=maskval2;
        *(long*)addr2|=(long)(*sprite2++)<<cnt;
    }
}
