void GraySpriteX8_XOR(short x,short y,short h,
                      unsigned char* sprite1,
                      unsigned char* sprite2,
                      short bytewidth,
                      void* dest1,
                      void* dest2)
{
    register          long  offset = (y<<5)-(y<<1)+(x>>3);
    register unsigned char* addr1  = ((unsigned char*)dest1)+offset;
    register unsigned char* addr2  = ((unsigned char*)dest2)+offset;
    register unsigned short mask1  = x & 7;
    register unsigned short mask2;
    register unsigned short lineoffset = 30-bytewidth;
    register          short loop;

    if (mask1) {
        mask2 = 8 - mask1;
        for (;h;h--,addr1+=lineoffset,addr2+=lineoffset) {
            *addr1++ ^= *sprite1 >> mask1;
            *addr2++ ^= *sprite2 >> mask1;
            for (loop=1;loop<bytewidth;loop++) {
               *addr1 ^= ((*sprite1++) << mask2);
               *addr1++ ^= (*sprite1 >> mask1);
               *addr2 ^= ((*sprite2++) << mask2);
               *addr2++ ^= (*sprite2 >> mask1);
            }
            *addr1 ^= (*sprite1++ << mask2);
            *addr2 ^= (*sprite2++ << mask2);
        }
    }
    else {
        for (;h;h--,addr1+=lineoffset,addr2+=lineoffset) {
            for (loop=0;loop<bytewidth;loop++) {
                *addr1++ ^= *sprite1++;
                *addr2++ ^= *sprite2++;
            }
        }
    }
}
