#include "internal.h"

/*===========================================================================*/
/* draw a line with given color from (x0,y0) to (x1,y1)                      */
/*===========================================================================*/
void DrawGrayLine2B(short x0,short y0,short x1, short y1, short color,void* lightplane,void* darkplane) {
    PortSet(lightplane,239,127);
    if (color & (COLOR_WHITE | COLOR_DARKGRAY)) {
        TIOSDrawLine(x0, y0, x1, y1, A_REVERSE);
    }
    else {
        TIOSDrawLine(x0, y0, x1, y1, A_NORMAL);
    }
    PortSet(darkplane,239,127);
    if (color & (COLOR_WHITE | COLOR_LIGHTGRAY)) {
        TIOSDrawLine(x0, y0, x1, y1, A_REVERSE);
    }
    else {
        TIOSDrawLine(x0, y0, x1, y1, A_NORMAL);
    }
}
