//=============================================================================
// scrolls a specific number of lines of a LCD buffer (240x128) 1 column to the
// right (160 pixels gets shifted) ...
//
// NOTE: given buffer have to start on an even address otherwise function will
//       crash !!!
//=============================================================================
void ScrollRight160(unsigned short* buffer,unsigned short lines) {
    register short* tmpbuffer = buffer;
    register short  tmplines  = lines;
    tmplines--;
    asm volatile ("0:\n"
        "lsr.w  (%0)+;roxr.w (%0)+;roxr.w (%0)+;roxr.w (%0)+;roxr.w (%0)+\n"
        "roxr.w (%0)+;roxr.w (%0)+;roxr.w (%0)+;roxr.w (%0)+;roxr.w (%0)+\n"
        "adda.w #10,%0\n"
        "dbra %1,0b"
        : "=a" (tmpbuffer), "=d" (tmplines)
        : "0"  (tmpbuffer), "1"  (tmplines));
}
