void GraySprite32_BLIT(short x,short y,short h,
                       unsigned long* sprite1,
                       unsigned long* sprite2,
                       unsigned long maskval,
                       void* dest1,
                       void* dest2)
{
    register long           offset = (y<<5)-(y<<1)+((x>>3)&0x1e);
    register long           addr1 = (long)dest1+offset;
    register long           addr2 = (long)dest2+offset;
    register unsigned short cnt  = x&15;
    register unsigned short ccnt = 32-cnt;
    register unsigned long  data;
    register unsigned long  maskval1 = ~((~maskval)>>cnt);
    register unsigned long  maskval2 = ~((~maskval)<<ccnt);

    for (;h;h--,addr1+=30,addr2+=30) {
        *(long*)addr1&=maskval1,*(long*)(addr1+4)&=maskval2;
        data=*sprite1++;
        *(long*)addr1|=(data>>cnt),*(long*)(addr1+4)|=(data<<ccnt);

        *(long*)addr2&=maskval1,*(long*)(addr2+4)&=maskval2;
        data=*sprite2++;
        *(long*)addr2|=(data>>cnt),*(long*)(addr2+4)|=(data<<ccnt);
    }
}
