void GraySprite32_MASK(short x,short y,short h,
                       unsigned long* sprite1,
                       unsigned long* sprite2,
                       unsigned long* mask1,
                       unsigned long* mask2,
                       void* dest1,
                       void* dest2)
{
    register long           offset = (y<<5)-(y<<1)+((x>>3)&0x1e);
    register long           addr1 = (long)dest1+offset;
    register long           addr2 = (long)dest2+offset;
    register unsigned short cnt  = x&15;
    register unsigned short ccnt = 32-cnt;
    register unsigned long  data;

    for (;h;h--,addr1+=30,addr2+=30) {
        data=~(*mask1++);
        *(long*)addr1&=~(data>>cnt),*(long*)(addr1+4)&=~(data<<ccnt);
        data=*sprite1++;
        *(long*)addr1|=(data>>cnt),*(long*)(addr1+4)|=(data<<ccnt);

        data=~(*mask2++);
        *(long*)addr2&=~(data>>cnt),*(long*)(addr2+4)&=~(data<<ccnt);
        data=*sprite2++;
        *(long*)addr2|=(data>>cnt),*(long*)(addr2+4)|=(data<<ccnt);
    }
}
