#define MIRROR_BYTE(src,dest) ({ (dest)=0;\
  if ((src)&0x01) (dest)|=0x80; \
  if ((src)&0x02) (dest)|=0x40; \
  if ((src)&0x04) (dest)|=0x20; \
  if ((src)&0x08) (dest)|=0x10; \
  if ((src)&0x10) (dest)|=0x08; \
  if ((src)&0x20) (dest)|=0x04; \
  if ((src)&0x40) (dest)|=0x02; \
  if ((src)&0x80) (dest)|=0x01; })

void SpriteX8_MIRROR_H(short h,unsigned char* src,short bytewidth,unsigned char* dest) {
    while (h--) {
        unsigned char* d = dest + bytewidth - 1;
        short i;
        for (i=0;i<bytewidth;i++,src++,d--) {
            MIRROR_BYTE(*src,*d);
        }
        dest += bytewidth;
    }
}
